## ros-humble-moveit-ros-perception 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_ros_perception)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

option(WITH_OPENGL "Build the parts that depend on OpenGL" ON)

if(WITH_OPENGL)
  # Prefer newer vendor-specific OpenGL library
  if(POLICY CMP0072)
    cmake_policy(SET CMP0072 NEW)
  endif()
  find_package(OpenGL REQUIRED)
  find_package(GLEW REQUIRED)

  set(gl_LIBS ${gl_LIBS} ${OPENGL_LIBRARIES})
  if(APPLE)
    find_package(FreeGLUT REQUIRED)
    set(SYSTEM_GL_LIBRARIES ${GLEW_LIBRARIES} GLEW::GLEW FreeGLUT::freeglut)
  else()
    find_package(GLUT REQUIRED)
    if(WIN32)
      set(SYSTEM_GL_LIBRARIES GLEW::glew GLUT::GLUT)
    else()
      set(SYSTEM_GL_LIBRARIES ${GLEW_LIBRARIES} GLUT::GLUT)
    endif()
  endif()
  set(perception_GL_INCLUDE_DIRS "mesh_filter/include" "depth_image_octomap_updater/include")
  set(SYSTEM_GL_INCLUDE_DIRS ${GLEW_INCLUDE_DIR} ${GLUT_INCLUDE_DIR})
endif()

if(APPLE)
  find_package(X11 REQUIRED)
endif()

find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(moveit_core REQUIRED)
find_package(rclcpp REQUIRED)
find_package(urdf REQUIRED)
find_package(message_filters REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_eigen REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(pluginlib REQUIRED)
find_package(image_transport REQUIRED)
find_package(object_recognition_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_ros_occupancy_map_monitor REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(OpenMP REQUIRED)
find_package(OpenCV)

# Finds Boost Components
include(ConfigExtras.cmake)

set(THIS_PACKAGE_INCLUDE_DIRS
  depth_image_octomap_updater/include
  lazy_free_space_updater/include
  mesh_filter/include
  point_containment_filter/include
  pointcloud_octomap_updater/include
  semantic_world/include
  ${perception_GL_INCLUDE_DIRS}
)

set(THIS_PACKAGE_LIBRARIES
  moveit_depth_image_octomap_updater
  moveit_depth_image_octomap_updater_core
  moveit_lazy_free_space_updater
  moveit_mesh_filter
  moveit_point_containment_filter
  moveit_pointcloud_octomap_updater
  moveit_pointcloud_octomap_updater_core
  moveit_semantic_world
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  image_transport
  moveit_core
  moveit_msgs
  moveit_ros_occupancy_map_monitor
  object_recognition_msgs
  rclcpp
  sensor_msgs
  tf2_geometry_msgs
  Eigen3
)

include_directories(${THIS_PACKAGE_INCLUDE_DIRS})
include_directories(SYSTEM
  ${Boost_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${SYSTEM_GL_INCLUDE_DIR}
  ${X11_INCLUDE_DIR}
)

add_subdirectory(lazy_free_space_updater)
add_subdirectory(point_containment_filter)
add_subdirectory(pointcloud_octomap_updater)
if(WITH_OPENGL)
  add_subdirectory(mesh_filter)
  add_subdirectory(depth_image_octomap_updater)
endif()

add_subdirectory(semantic_world)

install(
  TARGETS ${THIS_PACKAGE_LIBRARIES}
  EXPORT export_${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

pluginlib_export_plugin_description_file(moveit_ros_occupancy_map_monitor "pointcloud_octomap_updater_plugin_description.xml")
pluginlib_export_plugin_description_file(moveit_ros_occupancy_map_monitor "depth_image_octomap_updater_plugin_description.xml")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(CONFIG_EXTRAS ConfigExtras.cmake)

=== depth_image_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_depth_image_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core SHARED src/depth_image_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
  rclcpp
  moveit_core
  image_transport
  sensor_msgs
  tf2
  tf2_geometry_msgs
  geometric_shapes
  moveit_ros_occupancy_map_monitor
)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_lazy_free_space_updater moveit_mesh_filter)

add_library(${MOVEIT_LIB_NAME} SHARED src/updater_plugin.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_core
  image_transport
  sensor_msgs
  tf2
  tf2_geometry_msgs
  geometric_shapes
  moveit_ros_occupancy_map_monitor
  pluginlib
)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)

install(DIRECTORY include/ DESTINATION include)

=== lazy_free_space_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_lazy_free_space_updater)

add_library(${MOVEIT_LIB_NAME} SHARED src/lazy_free_space_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
if(APPLE)
  target_link_libraries(${MOVEIT_LIB_NAME} OpenMP::OpenMP_CXX)
endif()
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_ros_occupancy_map_monitor
  sensor_msgs
)

install(DIRECTORY include/ DESTINATION include)

=== mesh_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_mesh_filter)

add_library(${MOVEIT_LIB_NAME} SHARED
  src/mesh_filter_base.cpp
  src/sensor_model.cpp
  src/stereo_camera_model.cpp
  src/gl_renderer.cpp
  src/gl_mesh.cpp
)
include(GenerateExportHeader)
generate_export_header(${MOVEIT_LIB_NAME})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_core
  geometric_shapes
  Eigen3
)

target_link_libraries(${MOVEIT_LIB_NAME} ${gl_LIBS} ${SYSTEM_GL_LIBRARIES})

# TODO: Port to ROS2
# add_library(moveit_depth_self_filter SHARED
#   src/depth_self_filter_nodelet.cpp
#   src/transform_provider.cpp
# )
# set_target_properties(moveit_depth_self_filter PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
#
# target_link_libraries(moveit_depth_self_filter ${catkin_LIBRARIES} ${MOVEIT_LIB_NAME})

# TODO: enable testing
# if(CATKIN_ENABLE_TESTING)
#   #catkin_lint: ignore_once env_var
#   # Can only run this test if we have a display
#   if(DEFINED ENV{DISPLAY} AND NOT $ENV{DISPLAY} STREQUAL "")
#     catkin_add_gtest(mesh_filter_test test/mesh_filter_test.cpp)
#     target_link_libraries(mesh_filter_test ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_mesh_filter)
#   else()
#     message("No display, will not configure tests for moveit_ros_perception/mesh_filter")
#   endif()
# endif()

install(DIRECTORY include/ DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MOVEIT_LIB_NAME}_export.h DESTINATION include)

=== point_containment_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_point_containment_filter)

add_library(${MOVEIT_LIB_NAME} SHARED src/shape_mask.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  sensor_msgs
  geometric_shapes
)

install(DIRECTORY include/ DESTINATION include)

=== pointcloud_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pointcloud_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core SHARED src/pointcloud_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}_core
  rclcpp
  moveit_core
  tf2_ros
  message_filters
  sensor_msgs
  moveit_ros_occupancy_map_monitor
  tf2_geometry_msgs
  tf2
)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_point_containment_filter)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES LINK_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")

add_library(${MOVEIT_LIB_NAME} SHARED src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${MOVEIT_LIB_NAME}
  rclcpp
  moveit_core
  tf2_ros
  message_filters
  sensor_msgs
  moveit_ros_occupancy_map_monitor
  tf2_geometry_msgs
  tf2
  pluginlib
)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core)

install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-humble-moveit-ros-perception (2.5.5-1bookworm) bookworm; urgency=high

  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>) (#2277 <https://github.com/ros-planning/moveit2/issues/2277>)
    (cherry picked from commit 5506dd516a91bc145e462b493668ef8623d43521)
    Co-authored-by: Shobuj Paul <mailto:72087882+Shobuj-Paul@users.noreply.github.com>
  * Use <> for non-local headers (#1765 <https://github.com/ros-planning/moveit2/issues/1765>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
    (cherry picked from commit 7a1f2a101f9aeb8557e8a31656bbe1a6d53b430e)
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Chris Thrasher, mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-ros-perception (2.5.4-1bookworm) bookworm; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>) (#1483 <https://github.com/ros-planning/moveit2/issues/1483>)
  * Contributors: mergify[bot]

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-ros-perception (2.5.3-1bookworm) bookworm; urgency=high

  * pointcloud_octomap_updater: Don't return false when not finding optional parameter (#1418 <https://github.com/ros-planning/moveit2/issues/1418>)
    * Don't return false when not finding optional parameter
    * Update moveit_ros/perception/pointcloud_octomap_updater/src/pointcloud_octomap_updater.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Contributors: Jafar

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-perception (2.5.2-1bookworm) bookworm; urgency=high

  * Remove no longer needed no-pedantic option in moveit_ros_occupancy_map_monitor package (#1397 <https://github.com/ros-planning/moveit2/issues/1397>)
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Fix clang-tidy
  * banish bind()
  * various: prefer objects and references over pointers
  * Contributors: David V. Lu, Henry Moore, Jafar, Michael Görner, Nathan Brooks, Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-ros-perception (2.5.1-1bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-ros-perception (2.5.0-1bookworm) bookworm; urgency=high

  * Enable cppcheck (#1224 <https://github.com/ros-planning/moveit2/issues/1224>)
    Co-authored-by: jeoseo <mailto:jeongwooseo2012@gmail.com>
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Remove unused includes for boost::bind (#1220 <https://github.com/ros-planning/moveit2/issues/1220>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * various: prefer object and references over pointers
    source: https://github.com/ros-planning/moveit/pull/3106/commits/1a8e5715e3142a92977ac585031b9dc1871f8718; this commit contains minor changes when compared to the source commit which it is based on, these changes are limited to ensuring compatibility with ROS2.
  * Remove new operators (#1135 <https://github.com/ros-planning/moveit2/issues/1135>)
    replace new operator with make_shared
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * 1.1.9
  * Use GLEW::GLEW link target (#3079 <https://github.com/ros-planning/moveit2/issues/3079>)
    While ${GLEW_LIBRARIES} works on Ubuntu, it fails on newer installs of GLEW.
  * Misc fixes for time and transforms (#768 <https://github.com/ros-planning/moveit2/issues/768>)
    * Fix setting shape_transform_cache_lookup_wait_time from seconds


=== debian/control ===
Source: ros-humble-moveit-ros-perception
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-message-filters, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-moveit-ros-occupancy-map-monitor, ros-humble-moveit-ros-planning, ros-humble-object-recognition-msgs, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-humble-moveit-ros-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-humble-cv-bridge, ros-humble-image-transport, ros-humble-message-filters, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-moveit-ros-occupancy-map-monitor, ros-humble-moveit-ros-planning, ros-humble-object-recognition-msgs, ros-humble-pluginlib (>= 1.11.2), ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-tf2, ros-humble-tf2-eigen, ros-humble-tf2-geometry-msgs, ros-humble-tf2-ros, ros-humble-urdf, ros-humble-ros-workspace
Description: Components of MoveIt connecting to perception

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-ros-perception//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-ros-perception//opt/ros/humble/opt/moveit_ros_perception/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
